{% extends "default/layout_help.html" %}
{% load i18n %}

{% block page %}
    {% addtoblock "javascript" %}
        <script language="javascript" src="{{ STATIC_URL }}/lib/knockout-2.2.0.js"></script>
        <script language="javascript" src="{{ STATIC_URL }}/js/questionnaire.js"></script>
    {% endaddtoblock %}

		<form method="post">
			{% csrf_token %}
	
			<div class="toolbar wide">
				<button type="submit" class="btn btn-primary">
					{% trans "Save" %}
				</button>
				<a href="#saveChanges" data-toggle="modal" class="btn">
					{% trans "Cancel" %}
				</a>
				<div class="pull-right">
					<div class="btn-group">
						<a href="#actions" class="btn dropdown-toggle" data-toggle="dropdown">
							<span class="icon-cog"></span>
							<span class="caret"></span>
						</a>
						<ul class="dropdown-menu">
							<li>
								<a href="#" data-bind="click: clearQuestionnaire">
									<span class="icon-trash"></span>
									{% trans "Clear questionnaire" %}
								</a>
							</li>
						</ul>
					</div>
				</div>
			</div>
			
			<div class="box-contents padded-content">			
				{% for f in form %}
				<div class="question" id="{{ f.html_name }}" data-bind="css: questions['{{ f.html_name }}'].state">
					{{ f.label_tag }}
					{{ f.errors }}
					{{ f }}
				</div>
				{% endfor %}
				
			</div>
	
			<div class="toolbar wide">
				<button type="submit" class="btn btn-primary">
					{% trans "Save" %}
				</button>
				<a href="#saveChanges" data-toggle="modal" class="btn">
					{% trans "Cancel" %}
				</a>
			</div>
		
		</form>

<div class="modal fade" id="saveChanges">
  <div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
    <h3>{% trans "Unsaved changes" %}</h3>
  </div>
  <div class="modal-body">
    <p>{% trans "Are you sure you want to lose your changes to this questionnaire?" %}</p>
  </div>
  <div class="modal-footer">
    <a href="{{ back_url }}" class="btn">{% trans "Yes, go back without saving" %}</a>
    <a href="#" class="btn btn-primary" data-dismiss="modal">{% trans "No, continue editing questionnaire" %}</a>
  </div>
</div>


{% autoescape off %}
<script language="javascript">
	questionData = {{ questions_json }};
</script>
{% endautoescape %}

{% endblock %}